org.apache.geode.cache

## Class CommitConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheException
          - - org.apache.geode.cache.TransactionException
            - - org.apache.geode.cache.CommitConflictException

- All Implemented Interfaces:
    java.io.Serializable

      public class CommitConflictException
      extends TransactionException

  Thrown when a commit fails due to a write conflict.
  Since:
    GemFire 4.0
  See Also:
    `CacheTransactionManager.commit()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitConflictException(java.lang.String msg)` Constructs an instance of `CommitConflictException` with the specified detail message.
    `CommitConflictException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `CommitConflictException` with the specified detail message and cause.
    `CommitConflictException(java.lang.Throwable cause)` Constructs an instance of `CommitConflictException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitConflictException

          public CommitConflictException(java.lang.String msg)

      Constructs an instance of `CommitConflictException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### CommitConflictException

          public CommitConflictException(java.lang.String msg,
                                         java.lang.Throwable cause)

      Constructs an instance of `CommitConflictException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### CommitConflictException

          public CommitConflictException(java.lang.Throwable cause)

      Constructs an instance of `CommitConflictException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable
      Since:
        GemFire 6.5